# class Tk::Vu::Dial

define module/class

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

constrain(val = None) click to toggle source

    # File lib/tkextlib/vu/dial.rb, line 43
    def constrain(val = None)
      num_or_str(tk_call(@path, 'constrain', val))
    end

coords(val = nil) click to toggle source

    # File lib/tkextlib/vu/dial.rb, line 34
    def coords(val = nil)
      if val
        tk_send_without_enc('coords', val)
        self
      else
        tk_split_list(tk_send_without_enc('coords'))
      end
    end

get(*args) click to toggle source

    # File lib/tkextlib/vu/dial.rb, line 47
    def get(*args)
      num_or_str(tk_call(@path, 'get', *args))
    end

get_label(val=nil) click to toggle source

    # File lib/tkextlib/vu/dial.rb, line 55
    def get_label(val=nil)
      if val
        tk_call(@path, 'label', val)
      else
        ret = []
        lst = simplelist(tk_call(@path, 'label'))
        while lst.size > 0
          ret << ([num_or_str(lst.shift)] << lst.shift)
        end
      end
    end

get_tag(val=nil) click to toggle source

    # File lib/tkextlib/vu/dial.rb, line 77
    def get_tag(val=nil)
      if val
        tk_call(@path, 'tag', val)
      else
        ret = []
        lst = simplelist(tk_call(@path, 'tag'))
        while lst.size > 0
          ret << ([num_or_str(lst.shift)] << lst.shift)
        end
      end
    end

identify(x, y) click to toggle source

    # File lib/tkextlib/vu/dial.rb, line 51
    def identify(x, y)
      tk_call(@path, 'identify', x, y)
    end

set(val = None) click to toggle source

    # File lib/tkextlib/vu/dial.rb, line 99
    def set(val = None)
      tk_call_without_enc(@path, 'set', val)
      self
    end

set_label(val, str, *args) click to toggle source

    # File lib/tkextlib/vu/dial.rb, line 67
    def set_label(val, str, *args)
      tk_call(@path, 'label', val, str, *args)
      self
    end

set_label_constrain(val, str, *args) click to toggle source

    # File lib/tkextlib/vu/dial.rb, line 72
    def set_label_constrain(val, str, *args)
      tk_call(@path, 'label', '-constrain', val, str, *args)
      self
    end

set_tag(val, str, *args) click to toggle source

    # File lib/tkextlib/vu/dial.rb, line 89
    def set_tag(val, str, *args)
      tk_call(@path, 'tag', val, str, *args)
      self
    end

set_tag_constrain(val, str, *args) click to toggle source

    # File lib/tkextlib/vu/dial.rb, line 94
    def set_tag_constrain(val, str, *args)
      tk_call(@path, 'tag', '-constrain', val, str, *args)
      self
    end

### Private Instance Methods

__methodcall_optkeys() click to toggle source

    # File lib/tkextlib/vu/dial.rb, line 27
    def __methodcall_optkeys  # { key=>method, ... }
      {'coords'=>'coords'}
    end